Bug 248242 - glibc-2.5-18.fc6 has memcpy broken (at least on x86_64)
Summary: glibc-2.5-18.fc6 has memcpy broken (at least on x86_64)
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-14 01:28 UTC by Nicolas Chauvet (kwizart)
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-04 07:56:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
runtime check when using vlc on Fedora 6 x86_64 unresolved symbols (31.53 KB, text/plain)
2007-07-14 01:31 UTC, Nicolas Chauvet (kwizart)
no flags Details

Description Nicolas Chauvet (kwizart) 2007-07-14 01:28:55 UTC
Description of problem:
The new glibc-* in Fedora 6 (at least on x86_64) prevent vlc to uses mmcpy.
This cause the application to fails to load modules that uses it
Application is completely broken

Version-Release number of selected component (if applicable):
glibc-*-2.5-18.fc6

How reproducible: all the time


Steps to Reproduce:
0. run an application that use memcpy (this work fine)
1. update to glibc-*-2.5-18.fc6
2. run an application that use memcpy (for example vlc on x86_64)
this fails with unresolved symbols related to memcpy
3. rebuild vlc against the new glibc fails at runtime
4. revert back to glibc-*-2.5-10.fc6 and new vlc built don't work
5. revert back to glibc-*-2.5-10.fc6 and previous vlc built work fine

  
Actual results:
memcpy cannot be used at runtime (at least, experienced on x86-64)

Expected results:
This was working fine with previous glibc-*-2.5-10.fc6
Please remove glibc-*-2.5-18.fc6 from the Fedora 6 repository


Additional info:
Rebuild of an applications for using new glibc-*-2.5-18.fc6 do not solve
anything. This produce a broken build, that fails to work at runtime.

Attached a runtime check from vlc that show unresolved symbol related to memcpy

Comment 1 Nicolas Chauvet (kwizart) 2007-07-14 01:31:20 UTC
Created attachment 159257 [details]
runtime check when using vlc on Fedora 6 x86_64 unresolved symbols

Comment 2 Nicolas Chauvet (kwizart) 2007-07-14 02:19:12 UTC
Ok this is solve by a basic reboot...
Sorry for the noise...

i've lowered priority and severity...

Now the only remaining problems is
Why a reboot is needed ? And why this package need to be updated for FC-6?!

Comment 3 Jakub Jelinek 2007-07-16 07:53:51 UTC
vlc_entry__memcpymmx has nothing to do with glibc memcpy (which hasn't changed
in any way).
The most important question, can you reproduce it again (after downgrading
glibc, perhaps running vlc, then upgrading it again)?
Was vlc running during the glibc upgrade?
Where did you get vlc from (self built, some package repository)?
When it fails to resolve the symbols, can you LD_DEBUG=all it to see where it
was searching and failed to find that symbol?
Which library defines vlc_entry__memcpymmx symbol in vlc?

Comment 4 Jakub Jelinek 2007-08-04 07:56:51 UTC
No feedback, closing.


Note You need to log in before you can comment on or make changes to this bug.